SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000456SiT!portalpublic2009-01-31 18:282009-02-27 16:25
Reporterpaulh 
Assigned Toivan 
PrioritynoneSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.45Fixed in Version3.45 
Summary0000456: Portal uses unchecked variables
Descriptionthe portal code uses unchecked variables with a lot of $_REQUESTS and $_POST in SQL statements e.g. close.php
Tagssecurity
Attached Files

- Relationships

-  Notes
User avatar (0000618)
ivan (administrator)
2009-02-11 20:27

This was only affecting authenticated connections. Fixed in svn trunk r5069.

- Issue History
Date Modified Username Field Change
2009-01-31 18:28 paulh New Issue
2009-02-03 15:16 ivan Tag Attached: security
2009-02-11 20:15 ivan Assigned To => ivan
2009-02-11 20:15 ivan Status new => assigned
2009-02-11 20:15 ivan Projection none => minor fix
2009-02-11 20:15 ivan Target Version => 3.45
2009-02-11 20:27 ivan Note Added: 0000618
2009-02-11 20:27 ivan Status assigned => resolved
2009-02-11 20:27 ivan Resolution open => fixed
2009-02-11 20:27 ivan Fixed in Version => Current SVN
2009-02-27 13:54 ivan Fixed in Version Current SVN => 3.45
2009-02-27 16:25 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker